Skip to main content
PUT
/
v3
/
beneficiary
/
{id}
Update Beneficiary
curl --request PUT \
  --url https://service-sandbox.tazapay.com/v3/beneficiary/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "key1": "value1",
    "key2": "value2"
  }
}
'
"{}"

For beneficiaries having successful payouts, the following information cannot be updated

  • Type (business or individual)
  • Beneficiary Name
  • Account Number / IBAN
  • Country
  • Existing Bank Codes (SWIFT, IFSC, BSB_CODE, ABA_CODE, etc.). Additional bank codes can be added. In these scenarios, you can create a new beneficiary with the updated details.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the exisitng beneficiary

Body

application/json
name
string

Beneficiary Name

Maximum string length: 140
type
string

business or individual

address
object

Address

phone
object

Phone

destination_details
object

Destination Details

metadata
string<json>

Set of key-value pairs to attach to the beneficiary

tax_id
string

Tax ID of the beneficiary. (CPF or CPNJ is mandatory for payouts to Brazil)

documents
object

Documents for the beneficiary

national_identification_number
string

National ID of the individual

Response

200

Represents a payout beneficiary with personal, contact, and destination details.

address
object

Address details of the beneficiary.

date_of_birth
string

Date of birth of the beneficiary in YYYY-MM-DD format.

nationality
string

ISO 3166-1 alpha-2 country code representing the beneficiary's nationality. Optional field used for enhanced compliance screening. Sending this field will reduce compliance hold.

destination
string

Identifier or reference to the beneficiary's payment destination (bank account, wallet, etc.).

destination_details
object

Details about the payout destination, such as wallet or bank.

documents
object[]

List of documents associated with the beneficiary (e.g., ID proof, address proof).

email
string

Email address of the beneficiary.

name
string

Full name of the beneficiary.

name_local
string

Local language representation of the beneficiary's name, if applicable.

national_identification_number
string

National identification number or equivalent ID.

party_classification
string

Classification of the beneficiary. Possible Values - 'self', 'third_party'.

phone
object

Contact phone information of the beneficiary.

registration_number
string

Registration or incorporation number for business beneficiaries.

tax_id
string

Tax identification number for the beneficiary.

type
string

Specifies whether the beneficiary is an 'individual' or a 'business'.